Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451952 - New version 3.0.11 is released please update
Summary: New version 3.0.11 is released please update
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: filezilla
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-18 10:58 UTC by David
Modified: 2008-07-15 12:21 UTC (History)
1 user (show)

Fixed In Version: 3.0.11.1-1.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-15 12:21:28 UTC


Attachments (Terms of Use)

Description David 2008-06-18 10:58:04 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Nicolas Chauvet (kwizart) 2008-06-18 12:21:54 UTC
Fedora 8 doesn't have the needed BuildRequirement for this release of FileZilla
(missing Gnutls >= 2.0.4), And gnutls will probably never be updated during the
F-8 lifetime. Gnutls 1.6.3 is known to produce failed transfer with FileZilla.
(with GNUTLS_E_INTERNAL_ERROR in the debug log).

This problem has been reported to the gnutls ml:
http://thread.gmane.org/gmane.comp.encryption.gpg.gnutls.devel/2380

Now according to the main FileZilla developer, there is a need to backport
theses patches for gnutls (that might apply on 1.6.3 or not)
http://git.savannah.gnu.org/gitweb/?p=gnutls.git;a=commitdiff;h=186ca7d73fef8d8f6d93d0618c6d8b6b70c818c8
http://git.savannah.gnu.org/gitweb/?p=gnutls.git;a=commitdiff;h=186ca7d73fef8d8f6d93d0618c6d8b6b70c818c8
On the other hand, as Gnutls 2.0.4 "seems" ABI compatible with 1.6.3. It would
be easier to update it (that's where the GnuTLS maintainer doesn't seems to Agree).

Anyway as the other missing BR (wxGTK >= 2.8.6) have been pushed recently. I
will try to ping the gnutls maintainer.




Comment 2 Nicolas Chauvet (kwizart) 2008-06-18 23:38:29 UTC
*** Bug 451959 has been marked as a duplicate of this bug. ***

Comment 3 Tomas Mraz 2008-06-19 14:19:06 UTC
(In reply to comment #1)
> Now according to the main FileZilla developer, there is a need to backport
> theses patches for gnutls (that might apply on 1.6.3 or not)
>
http://git.savannah.gnu.org/gitweb/?p=gnutls.git;a=commitdiff;h=186ca7d73fef8d8f6d93d0618c6d8b6b70c818c8
>
http://git.savannah.gnu.org/gitweb/?p=gnutls.git;a=commitdiff;h=186ca7d73fef8d8f6d93d0618c6d8b6b70c818c8
> On the other hand, as Gnutls 2.0.4 "seems" ABI compatible with 1.6.3. It would
> be easier to update it (that's where the GnuTLS maintainer doesn't seems to
Agree).

As the difference between 1.6.3 and 2.0.4 is quite big I am not sure I want to
upgrade GNUTLS to that version.

If the patch (I see only one patch, the 2 links above are the same) is enough to
fix the problem I'd prefer to just patch the 1.6.3.


Comment 4 Nicolas Chauvet (kwizart) 2008-06-19 16:36:11 UTC
(In reply to comment #3)
> As the difference between 1.6.3 and 2.0.4 is quite big I am not sure I want to
> upgrade GNUTLS to that version.
There are differences indeed, but from the libraries side, there is no ABI break
according to rpmsodiff gnutls-1.6.3 gnutls-2.0.4.
To my eyes, it seems safer to update to 2.0.4 than to backport to 1.6.3
> If the patch (I see only one patch, the 2 links above are the same) is enough to
my bad: second patch is:
http://git.savannah.gnu.org/gitweb/?p=gnutls.git;a=commitdiff;h=2b52de53f9602eba78e2796d23f5b78b3842b8f3

> fix the problem I'd prefer to just patch the 1.6.3.
Well as I said, theses patches may apply or not, and even if they will apply, I
don't know if they won't need any other internals changes from gnutls 2.0.4 
The problem currently present on F-8 anyway (with filezilla-3.0.2.1).

I have built and provided gnutls 2.0.4 from my own repository (kwizart-testing)
and nobydy complained about a problem with it (exept for multilibs update since
i don't provide gnutls.i386 on the x86_64 repository).



Note also that gnutls version < 2.0.4 prevent me to have filezilla in EPEL.
I won't import it unless gnutls is at least 2.0.4. (I have'nt checked since 5.2,
so maybe it missed the train for EPEL-5).









Comment 5 Tomas Mraz 2008-06-20 15:24:25 UTC
I have included the patches in the new build of gnutls for F-8. It should appear
in F-8 testing updates soon. Meanwhile you can pick it up from koji and verify,
whether it fixes your problem. I'll add the fix to some future RHEL-5 gnutls
package update as well.

http://koji.fedoraproject.org/koji/buildinfo?buildID=53354


Comment 6 Fedora Update System 2008-07-03 22:59:37 UTC
filezilla-3.0.11-1.fc8 has been submitted as an update for Fedora 8

Comment 7 Fedora Update System 2008-07-06 06:16:01 UTC
filezilla-3.0.11-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update filezilla'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-6142

Comment 8 David 2008-07-08 09:00:11 UTC
Filezilla has been updated to 3.0.11.1 only a few days ago.

2008-07-05 - FileZilla Client 3.0.11.1 released
Bugfixes and minor changes:

    * Show number of filtered files in status bars if directory appears empty
    * Support for international domain names was accidentally commented out
    * Add missing path separator in remote filename on file exists dialog
    * Fix shrinking panes if using widescreen or blackboard styles
    * MSW: If showing file changed notification dialog after editing a file,
program could become unresponsive in some cases
    * MSW: Fix visual problems with right-to-left languages introduced with the
flicker corrections in 3.0.11
    * MSW: Main component can no longer be unselected in the installer


Can filezilla 3.0.11-2 be built in kojo please?

Comment 9 Fedora Update System 2008-07-08 10:42:06 UTC
filezilla-3.0.11.1-1.fc8 has been submitted as an update for Fedora 8

Comment 10 David 2008-07-09 08:21:32 UTC
Nice build works great and its already got a karma of +4 push to stable please.
 Thanks for the fast build and update much appreciated :)

Comment 11 Fedora Update System 2008-07-15 12:21:26 UTC
filezilla-3.0.11.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.